From b00952e6b3f0add6bbcace4bc3abc9f40978f035 Mon Sep 17 00:00:00 2001
From: Christian Byrne <cbyrne@comfy.org>
Date: Sat, 6 Sep 2025 01:57:46 -0700
Subject: [PATCH 68/77] [lint] Enforce custom dark-theme: prefix instead of
 standard dark: prefix (#5382)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

- Add vue/no-restricted-class ESLint rule to catch dark: prefix usage
- Fix existing violation in FormImageUpload.vue (dark: -> dark-theme:)
- Ensures consistent usage of project's custom Tailwind variant
- Violations will fail builds and be caught during development

🤖 Generated with [Claude Code](https://claude.ai/code)

Co-authored-by: Claude <noreply@anthropic.com>
---
 eslint.config.js                          | 2 ++
 src/components/common/FormImageUpload.vue | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/eslint.config.js b/eslint.config.js
index 59c5f46df..fe0f56b3b 100644
--- a/eslint.config.js
+++ b/eslint.config.js
@@ -62,6 +62,8 @@ export default [
       '@typescript-eslint/prefer-as-const': 'off',
       'unused-imports/no-unused-imports': 'error',
       'vue/no-v-html': 'off',
+      // Enforce dark-theme: instead of dark: prefix
+      'vue/no-restricted-class': ['error', '/^dark:/'],
       // i18n rules
       '@intlify/vue-i18n/no-raw-text': [
         'error',
diff --git a/src/components/common/FormImageUpload.vue b/src/components/common/FormImageUpload.vue
index 1515289cc..efb09c900 100644
--- a/src/components/common/FormImageUpload.vue
+++ b/src/components/common/FormImageUpload.vue
@@ -3,7 +3,7 @@
     <div class="flex gap-2 items-center">
       <div
         class="preview-box border rounded p-2 w-16 h-16 flex items-center justify-center"
-        :class="{ 'bg-gray-100 dark:bg-gray-800': !modelValue }"
+        :class="{ 'bg-gray-100 dark-theme:bg-gray-800': !modelValue }"
       >
         <img
           v-if="modelValue"

